## crawl 0.4.5

=== source/util/lua/Makefile ===
# makefile for installing Lua
# see INSTALL for installation instructions
# see src/Makefile and src/luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

# Where to install. The installation starts in the src directory, so take care
# if INSTALL_TOP is not an absolute path. (Man pages are installed from the
# doc directory.) You may want to make these paths consistent with LUA_ROOT,
# LUA_LDIR, and LUA_CDIR in luaconf.h (and also with etc/lua.pc).
#
INSTALL_TOP= /usr/local
INSTALL_BIN= $(INSTALL_TOP)/bin
INSTALL_INC= $(INSTALL_TOP)/include
INSTALL_LIB= $(INSTALL_TOP)/lib
INSTALL_MAN= $(INSTALL_TOP)/man/man1
INSTALL_LMOD= $(INSTALL_TOP)/share/lua/$V
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/$V

# How to install. You may prefer "install" instead of "cp" if you have it.
# To remove debug information from binaries, use "install -s" in INSTALL_EXEC.
#
INSTALL_EXEC= $(CP)
INSTALL_DATA= $(CP)
#INSTALL_EXEC= $(INSTALL) -m 0755
#INSTALL_DATA= $(INSTALL) -m 0644

# Utilities.
CP= cp
FIND= find
INSTALL= install
MKDIR= mkdir
RANLIB= ranlib

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

# Convenience platforms targets.
PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

# What to install.
TO_BIN= lua luac
TO_INC= lua.h luaconf.h lualib.h lauxlib.h ../etc/lua.hpp
TO_LIB= liblua.a
TO_MAN= lua.1 luac.1

# Lua version and release.
V= 5.1
R= 5.1.2

all:	$(PLAT)

$(PLATS) clean:
	cd src && $(MAKE) $@

test:	dummy
	src/lua test/hello.lua

install: dummy
	cd src && $(MKDIR) -p $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB) $(INSTALL_MAN) $(INSTALL_LMOD) $(INSTALL_CMOD)
	cd src && $(INSTALL_EXEC) $(TO_BIN) $(INSTALL_BIN)
	cd src && $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
	cd src && $(INSTALL_DATA) $(TO_LIB) $(INSTALL_LIB)
	cd doc && $(INSTALL_DATA) $(TO_MAN) $(INSTALL_MAN)
#	$(RANLIB) $(INSTALL_LIB)/$(TO_LIB)

local:
	$(MAKE) install INSTALL_TOP=.. INSTALL_EXEC="cp -p" INSTALL_DATA="cp -p"

none:
	@echo "Please do"
	@echo "   make PLATFORM"
	@echo "where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See INSTALL for complete instructions."

# make may get confused with test/ and INSTALL in a case-insensitive OS
dummy:

# echo config parameters
echo:
	@echo ""
	@echo "These are the parameters currently set in src/Makefile to build Lua $R:"
	@echo ""
	@cd src && $(MAKE) -s echo
	@echo ""
	@echo "These are the parameters currently set in Makefile to install Lua $R:"
	@echo ""
	@echo "PLAT = $(PLAT)"
	@echo "INSTALL_TOP = $(INSTALL_TOP)"
	@echo "INSTALL_BIN = $(INSTALL_BIN)"
	@echo "INSTALL_INC = $(INSTALL_INC)"
	@echo "INSTALL_LIB = $(INSTALL_LIB)"
	@echo "INSTALL_MAN = $(INSTALL_MAN)"
	@echo "INSTALL_LMOD = $(INSTALL_LMOD)"
	@echo "INSTALL_CMOD = $(INSTALL_CMOD)"
	@echo "INSTALL_EXEC = $(INSTALL_EXEC)"
	@echo "INSTALL_DATA = $(INSTALL_DATA)"
	@echo ""
	@echo "See also src/luaconf.h ."
	@echo ""

# echo private config parameters
pecho:
	@echo "V = $(V)"
	@echo "R = $(R)"
	@echo "TO_BIN = $(TO_BIN)"
	@echo "TO_INC = $(TO_INC)"
	@echo "TO_LIB = $(TO_LIB)"
	@echo "TO_MAN = $(TO_MAN)"

# echo config parameters as Lua code
# uncomment the last sed expression if you want nil instead of empty strings
lecho:
	@echo "-- installation parameters for Lua $R"
	@echo "VERSION = '$V'"
	@echo "RELEASE = '$R'"
	@$(MAKE) echo | grep = | sed -e 's/= /= "/' -e 's/$$/"/' #-e 's/""/nil/'
	@echo "-- EOF"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho

# (end of Makefile)

## crawl 0.5.2

=== source/util/pcre/Makefile ===
# -*- Makefile -*- for PCRE (Win32, MinGW)

OBJECTS := \
	pcre_chartables.o \
	pcre_compile.o \
	pcre_config.o \
	pcre_dfa_exec.o \
	pcre_exec.o \
	pcre_fullinfo.o \
	pcre_get.o \
	pcre_globals.o \
	pcre_info.o \
	pcre_maketables.o \
	pcre_newline.o \
	pcre_ord2utf8.o \
	pcre_refcount.o \
	pcre_study.o \
	pcre_tables.o \
	pcre_try_flipped.o \
	pcre_ucp_searchfuncs.o \
	pcre_valid_utf8.o \
	pcre_version.o \
	pcre_xclass.o

CXX ?= g++
AR := ar rcu
RANLIB := ranlib
DEL := del

CFLAGS := -I. -DHAVE_CONFIG_H
LDFLAGS :=

LIBNAME := libpcre.a

all: $(LIBNAME)

clean:
	$(DEL) $(LIBNAME)
	$(DEL) $(OBJECTS)

$(LIBNAME) : $(OBJECTS)
	$(AR) $@ $?
	$(RANLIB) $@

%.o: %.c
	$(CXX) $(CFLAGS) -o $@ -c $<

=== source/util/sqlite/Makefile ===
# -*- Makefile -*- for stripped down SQLite 3 static lib.

# Modified for Crawl Reference by $Author: dshaligram $ on $Date: 2007-04-20T22:29:34.263715Z $

LIBSQL = libsqlite3.a
AR     = ar rcu
CC     = gcc
RANLIB = ranlib
RM_F   = rm -f

# Omit SQLite features we don't need.
CFLAGS = -DSQLITE_OMIT_AUTHORIZATION \
		 -DSQLITE_OMIT_AUTOVACUUM \
		 -DSQLITE_OMIT_COMPLETE \
		 -DSQLITE_OMIT_BLOB_LITERAL \
		 -DSQLITE_OMIT_COMPOUND_SELECT \
		 -DSQLITE_OMIT_CONFLICT_CLAUSE \
		 -DSQLITE_OMIT_DATETIME_FUNCS \
		 -DSQLITE_OMIT_EXPLAIN \
	     -DSQLITE_OMIT_INTEGRITY_CHECK \
		 -DSQLITE_OMIT_PAGER_PRAGMAS \
		 -DSQLITE_OMIT_PROGRESS_CALLBACK \
		 -DSQLITE_OMIT_SCHEMA_PRAGMAS \
		 -DSQLITE_OMIT_SCHEMA_VERSION_PRAGMAS \
		 -DSQLITE_OMIT_TCL_VARIABLE \
	     -DSQLITE_OMIT_LOAD_EXTENSION \
		 -DTHREADSAFE=0

all: $(LIBSQL)

clean:
	$(RM_F) *.o
	$(RM_F) *.a

$(LIBSQL): sqlite3.o
	$(AR) $@ $^
	$(RANLIB) $@

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

=== source/util/lua/src/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization
#
# Modified for Dungeon Crawl Reference.

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris \
		crawl_dos crawl_unix crawl_mingw

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

clean_win:
	del $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX
# use this on Mac OS X 10.4
#	$(MAKE) all MYCFLAGS="-DLUA_USE_MACOSX -DLUA_USE_READLINE" MYLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

crawl_unix:
	$(MAKE) "LUA_A=liblua.a" \
	"MYCFLAGS=" "MYLIBS=" "MYLDFLAGS=" liblua.a

crawl_mingw: crawl_unix

crawl_dos: crawl_mingw

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lauxlib.h lua.h luaconf.h lobject.h llimits.h \
  lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/changelog ===
crawl (2:0.5.2-4) unstable; urgency=low

  * Import patch from Pino Toscano fixing the check for MacOS/X, which caused
    crawl to FTBFS on other Mach architectures like the Hurd. Closes: #558388

 -- Guus Sliepen <guus@debian.org>  Sat, 28 Nov 2009 17:13:13 +0100

crawl (2:0.5.2-3) unstable; urgency=low

  * Build-Depend on liblua5.1-0-dev and pkg-config.

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 19:19:30 +0100

crawl (2:0.5.2-2) unstable; urgency=low

  * Quilt refresh patches to ensure the package can be unpacked without quilt.
    Closes: #558195
  * Remove unused patches that have been merged upstream.

 -- Guus Sliepen <guus@debian.org>  Fri, 27 Nov 2009 17:57:50 +0100

crawl (2:0.5.2-1) unstable; urgency=low

  [ Guus Sliepen ]

  * New upstream release. Closes: 523694
  * Bump Standards-Version.
  * Do not include docs/libpng-LICENSE.txt.
  * Define SAVE_PACKAGE_TAR to save games as tar.gz instead of zip.
    Closes: #497356

  [ Trent W. Buck ]

  * Adopt 3.0 (quilt) format.
  * Add a watchfile. Closes: #523696
  * Bump debhelper compatibility to 7 (from 4).
  * Replace debian/rules boilerplate with dh(1).
  * Replace upstream's makefile entirely (with debian/GNUmakefile).
  * Adhere more strictly to the FHS:
    * Global default configuration in /etc/crawl.
    * Documentation in /usr/share/doc/crawl.
    * Data (e.g. lua scripts) in /usr/share/games/crawl.
    * Dead characters in /var/games/crawl/morgue.
    * Living characters in /var/games/crawl/saves.
  * Purge upstream's convenience copies of libraries, to enure they can't
    accidentally be used during compilation. Closes: #505692
  * Move much manual debian/rules messing about into declarative
    debian/crawl.foo files.  One bad side effect: examples/crawlrc becomes
    examples/init.txt.  Sorry about that.
  * Appease lintian:
    * debhelper-but-no-misc-depends;
    * extra-license-file;
    * spelling-error-in-binary: persistant.
  * Add a watch file for uscan(1).
  * Drop Debian.README; it should be clear to everyone by now that DCSS is
    the actively developed Crawl codebase.

 -- Guus Sliepen <guus@debian.org>  Thu, 26 Nov 2009 19:09:09 +0000

crawl (2:0.4.4-1) unstable; urgency=low

  * New upstream release. Closes: #509209
    - Fixes speed of skill training. Closes: #508127
  * Add missing documentation to /usr/share/doc/crawl/. Closes: #509206
  * Apply patch from Martin Michlmayr fixing compilation with GCC 4.4.
    Closes: #505692
  * Do not try to autodetect UTF-8 support based on locale information,
    just assume it will work on a Debian system. Closes: #467255

 -- Guus Sliepen <guus@debian.org>  Mon, 29 Dec 2008 17:17:45 +0100

crawl (2:0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 21 Jul 2008 12:27:12 +0200

crawl (2:0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 05 Feb 2008 14:28:44 +0100

crawl (2:0.3.3-2) unstable; urgency=low

  * Move documentation to /usr/share/games/crawl/ so the in-game help system
    can find it. Closes: #455480
  * Fix build failure with GCC 4.3. Closes: #456088

 -- Guus Sliepen <guus@debian.org>  Sat, 15 Dec 2007 00:06:00 +0100

crawl (2:0.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 07 Dec 2007 17:18:04 +0100

crawl (2:0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Enable Unicode support. Closes: #451028
  * Use nl_langinfo() to detect Unicode support.

 -- Guus Sliepen <guus@debian.org>  Mon, 19 Nov 2007 12:46:39 +0100

crawl (2:0.3.1-1) unstable; urgency=low

  * New upstream release.
    - Enables lua bindings. Closes: #447588
  * Don't link with built-in liblua implementation.

 -- Guus Sliepen <guus@debian.org>  Thu, 08 Nov 2007 15:19:34 +0100

crawl (2:0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 12 Jun 2007 15:46:25 +0200

crawl (2:0.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 08 Jun 2007 09:24:09 +0200

crawl (2:0.2.5-1) unstable; urgency=low

  * New upstream release.
  * Save morgue files in /var/games/crawl by default.

 -- Guus Sliepen <guus@debian.org>  Mon, 14 May 2007 17:30:31 +0200

crawl (2:0.2.4-2) unstable; urgency=low

  * Remove superfluous semicolon which GCC 4.3 doesn't like. Closes: #421212

 -- Guus Sliepen <guus@debian.org>  Sat, 28 Apr 2007 10:22:36 +0200

crawl (2:0.2.4-1) unstable; urgency=low

  * Switch to a new upstream: http://crawl-ref.sourceforge.net/.
    The old upstream has shown no activity for the last few years, and the
    Yahoo group crawl-dev only shows spam messages.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 Apr 2007 10:44:42 +0200

crawl (1:4.0.0beta26-9) unstable; urgency=low

  * Add missing #includes necessary for the stricter header dependencies in
    GCC 4.3 and onwards. Patch from Martin Michlmayr. Closes: #417134
  * Fix two cases of dereferencing type-punned pointer.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Apr 2007 16:26:03 +0200

crawl (1:4.0.0beta26-8) unstable; urgency=low

  * Reset terminal attributes after shutting down curses. Closes: #369203
  * Correct CVE reference in previous changelog entry. Closes: #350349

 -- Guus Sliepen <guus@debian.org>  Sun, 28 May 2006 15:22:13 +0200

crawl (1:4.0.0beta26-7) unstable; urgency=high

  * Fix insecure execution of external commands. See DSA 949-1. [CVE-2006-0045]

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Jan 2006 17:15:01 +0100

crawl (1:4.0.0beta26-6) unstable; urgency=low

  * Fix possible uninitialised string when casting Blade Hands spell. Thanks
    to Ilya Kasnacheev for noticing.  Closes: #325706
  * Apply patch from Kalle Olavi Niemitalo to fix uncursing of Enchant Armor
    spell. Closes: #321082

 -- Guus Sliepen <guus@debian.org>  Mon, 17 Oct 2005 13:00:58 +0200

crawl (1:4.0.0beta26-5) unstable; urgency=low

  * Recompile needed for C++ ABI change.


=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Uploaders: Trent W. Buck <trentbuck@gmail.com>
DM-Upload-Allowed: yes
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7.2), bison, flex, pkg-config,
 liblua5.1-0-dev, libncursesw5-dev, libpcre3-dev, libsqlite3-dev
Homepage: http://crawl-ref.sourceforge.net/

Package: crawl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the Stone Soup version of Dungeon Crawl.

=== debian/rules ===
#!/usr/bin/make -f
%:
	+dh $@
override_dh_auto_build:
	$(MAKE) -C source -f $(CURDIR)/debian/GNUmakefile $(NAUGHTY)
override_dh_auto_clean:
	$(MAKE) -C source -f $(CURDIR)/debian/GNUmakefile distclean
	# Remove convenience copies to ensure we don't accidentally use them.
	rm -rf source/util/lua source/util/sqlite source/util/pcre
	rm -rf source/dat/tiles
override_dh_installdocs:
	dh_installdocs -XLICENSE
override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt
override_dh_fixperms:
	dh_fixperms
	chgrp games	$(CURDIR)/debian/crawl/???/games/crawl
	chmod 2755	$(CURDIR)/debian/crawl/usr/games/crawl
	chmod 2775	$(CURDIR)/debian/crawl/var/games/crawl
override_dh_compress:
	dh_compress $(patsubst %,-X%.txt,$(RUNTIME_DOCS))

# These files are accessed by crawl(1) at run time and thus cannot be
# compressed.  See source/command.cc for the canonical list.
RUNTIME_DOCS = crawl_manual README aptitudes quickstart macros_guide options_guide tiles_help

=== debian/watch ===
version=3
http://sf.net/crawl-ref/stone_soup-(.+)-src\.t(?:ar.)?(?:gz|bz2)

## crawl 0.5.2-1maemo1

=== debian/changelog ===
crawl (0.5.2-1maemo1) unstable; urgency=low

  * Initial port to the Maemo/Fremantle platform - right now the font
    has to be extremely small to play it, and there are most certainly
    lots of bugs.

 -- Luke Reeves <luke@neuro-tech.net>  Fri, 26 Feb 2010 23:45:05 -0500

=== debian/control ===
Source: crawl
Section: user/games
Priority: extra
Maintainer: Luke Reeves <luke@neuro-tech.net>
Build-Depends: debhelper (>= 5), liblua5.1-0-dev, libncurses5-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:luke@neuro-tech.net
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=


Package: crawl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblua5.1-0, libncurses5
Description: Dungeon Crawl Stone Soup.  This is a command
 line only game.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	cd source; $(MAKE) -f makefile

	#docbook-to-man debian/crawl.sgml > crawl.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -f source/util/sqlite/sqlite3.o
	rm -f source/util/sqlite/libsqlite3.a
	rm -f source/crawl
	cd source; $(MAKE) -f makefile clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/crawl.
	cd source; $(MAKE) -f makefile DESTDIR=$(CURDIR)/debian/crawl install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify crawl
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## crawl 0.6.0

=== source/rltiles/Makefile ===
uname_S := $(shell uname -s)

ifneq (,$(findstring MINGW,$(uname_S)))
LDFLAGS += -lmingw32
endif

SDL_CFLAGS := $(shell pkg-config sdl --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
SDL_LDFLAGS := $(shell pkg-config sdl --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")

PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/include")
PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/lib/libpng.a ../contrib/install/lib/libz.a")

CFLAGS := -O2 $(SDL_CFLAGS) $(PNG_INCLUDE)
LDFLAGS += $(SDL_LDFLAGS) $(PNG_LIB)

ifneq (,$(findstring MINGW,$(uname_S)))
LDFLAGS += -lgdi32 -lwinmm
endif
ifeq ($(uname_S),Darwin)
LDFLAGS += -framework AppKit -framework AudioUnit -framework Carbon -framework IOKit -framework OpenGL
endif
ifeq ($(uname_S),Linux)
LDFLAGS += -ldl -lpthread
endif

# Attempt to use a full compiler name, to make
# distcc builds work nicely.
LMACH := $(shell gcc -dumpmachine)-
ifeq ($(LMACH),-)
LMACH :=
endif
ifeq ($(shell which $(LMACH)gcc 2> /dev/null),)
LMACH :=
endif
CXX = $(LMACH)g++
ifdef ARCHS
CF_ARCHS := $(patsubst %,-arch %,$(ARCHS))
CXX += $(CF_ARCHS)
endif

DELETE = rm -f

TOOLDIR := tool
TILEGEN := $(TOOLDIR)/tilegen.elf

INPUTS := main dngn player gui
INPUTFILES := $(INPUTS:%=dc-%.txt)
HEADERS := $(INPUTS:%=tiledef-%.h)
HTML := $(INPUTS:%=tile-%.html)
SOURCE := $(INPUTS:%=tiledef-%.cc)
IMAGES := $(INPUTS:%=%.png)

ifneq ($(findstring $(MAKEFLAGS),s),s)
ifndef V
        QUIET_CXX      = @echo '   ' CXX $@;
        QUIET_GEN      = @echo '   ' GEN $(lastword $(subst -, ,$*));
        QUIET_LINK     = @echo '   ' LINK $@;
        export V
endif
endif

BASE_OBJECTS := tile_colour.o tile.o tile_page.o tile_list_processor.o main.o
OBJECTS := $(BASE_OBJECTS:%=$(TOOLDIR)/%)

all: $(TILEGEN) $(HEADERS) $(SOURCE) $(IMAGES)

%.png tiledef-%.h tiledef-%.cc: dc-%.txt | $(TILEGEN)
	$(QUIET_GEN)$(TILEGEN) $<

DEPS := $(shell ls $(OBJECTS:%.o=%.d) $(INPUTS:%=%.d) 2> /dev/null)

ifneq ($(DEPS),)
-include $(DEPS)
endif

clean:
	$(DELETE) $(HEADERS) $(OBJECTS) $(TILEGEN) $(SOURCE) $(IMAGES) $(HTML) $(DEPS)

distclean: clean

%.o: %.cc
	$(QUIET_CXX)$(CXX) $(CFLAGS) -Wp,-MD,$*.d,-MT,$@ -c $< -o $@

$(TILEGEN): $(OBJECTS)
	$(QUIET_LINK)$(CXX) $(OBJECTS) -o $@ $(LDFLAGS)

.PHONY: all clean distclean

=== debian/changelog ===
crawl (2:0.6.0-2) unstable; urgency=low

  * Fix build failures on hppa, s390, kfreebsd-*.
  * Properly set permissions on the score file on fresh installations.
    Closes: #576552, #576618

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 06 Apr 2010 14:04:05 +0200

crawl (2:0.6.0-1) unstable; urgency=low

  * New upstream release.  Closes: #575626
    * Better message on incompatible saves.  Closes: #498080
  * Totally redone packaging.
    * Use the upstream makefile to make sure all installed files are installed.
      Closes: #527278
  * Added tiles build, the packages are now crawl (console), crawl-tiles
    and crawl-common.
  * Make the scores and logfile owned by games:games instead of the first
    player who plays a game.
  * Delete all saves and logfiles when Crawl is purged.
  * Delete 4.0 score files on upgrade.  Closes: #451597
  * Use fonts from ttf-dejavu instead of shipping a redundant copy.
  * Add a FreeDesktop menu entry.
  * Update the homepage, it's now at http://crawl.develz.org
  * Rebuilding with new ncurses fixes bright colors on xterm-256.
    Closes: #439597

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 28 Mar 2010 14:35:18 +0200

=== debian/control ===
Source: crawl
Section: games
Priority: optional
Maintainer: Guus Sliepen <guus@debian.org>
Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
	libfreetype6-dev
Homepage: http://crawl.develz.org/

Package: crawl-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: crawl | crawl-tiles
Description: Dungeon Crawl, a text-based roguelike game (data files)
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 These are the data and support files.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version})
Description: Dungeon Crawl, a text-based roguelike game
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the console version, for tiles, use crawl-tiles instead.
 .
 This is the Stone Soup version of Dungeon Crawl.

Package: crawl-tiles
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, crawl-common (= ${source:Version}), ttf-dejavu
Description: Dungeon Crawl, a roguelike game, tiles version
 Crawl is a fun game in the grand tradition of games like Rogue, Hack, and
 Moria. Your objective is to travel deep into a subterranean cave complex and
 retrieve the Orb of Zot, which is guarded by many horrible and hideous
 creatures.
 .
 This is the graphical (tiles) version.
 .
 This is the Stone Soup version of Dungeon Crawl.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

tree-stamp:
	dh_testdir
	rm -rf build-console
	mkdir -p build-console/source/rltiles
	tar cf - docs settings source --exclude contrib --exclude rltiles|tar xf - -C build-console
	cp -p source/rltiles/dc-player.txt build-console/source/rltiles/
	rm -rf build-tiles
	mkdir -p build-tiles
	tar cf - docs settings source --exclude contrib|tar xf - -C build-tiles
	touch tree-stamp

# The makefile is unorthodox, requiring all options to be specified on every invocation.
ARGS_CONSOLE = prefix=/usr
ARGS_TILES   = prefix=/usr TILES=y GAME=crawl-tiles \
	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf

build: build-stamp
build-stamp: tree-stamp
	dh_testdir

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE)
	cd build-tiles/source && $(MAKE) $(ARGS_TILES)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp tree-stamp
	rm -rf build-console build-tiles

	git clean -dfX || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cd build-console/source && $(MAKE) $(ARGS_CONSOLE) install DESTDIR=../../debian/crawl-common
	cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
		mv crawl/docs/* doc/crawl-common && \
		mv doc/crawl-common/crawl_manual.txt crawl/docs
	rm -rf debian/crawl-common/usr/share/doc/crawl-common/license
	mkdir -p debian/crawl/usr/
	mv debian/crawl-common/usr/games debian/crawl/usr/games
	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
	rm -rf debian/crawl-tiles/var
	cd debian/crawl-tiles/usr/share/crawl/ && rm -rf docs settings
	cd debian/crawl-tiles/usr/share/crawl/dat && rm -rf des clua database descript lua
	
	mkdir -p debian/crawl/usr/share/man/man6
	cp docs/crawl.6 debian/crawl/usr/share/man/man6/
	mkdir -p debian/crawl-tiles/usr/share/man/man6
	cp docs/crawl.6 debian/crawl-tiles/usr/share/man/man6/crawl-tiles.6
	mkdir -p debian/crawl-common/usr/share/lintian/overrides
	cp debian/crawl-common.overrides debian/crawl-common/usr/share/lintian/overrides/crawl-common
	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
	ln -sf /usr/share/crawl-common/docs/crawl_manual.txt debian/crawl-common/usr/share/doc/crawl-common/

	mkdir -p debian/crawl/usr/share/doc
	ln -sf crawl-common debian/crawl/usr/share/doc/crawl
	mkdir -p debian/crawl-tiles/usr/share/doc
	ln -sf crawl-common debian/crawl-tiles/usr/share/doc/crawl-tiles
	dh_install -pcrawl-tiles debian/crawl-tiles.desktop usr/share/applications
	dh_install -pcrawl-tiles debian/crawl.png usr/share/icons/hicolor/48x48/apps
	dh_link -pcrawl-tiles usr/share/games/crawl/dat/tiles/stone_soup_icon-32x32.png \
		usr/share/icons/hicolor/32x32/apps/crawl.png

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -pcrawl-common
	dh_installchangelogs -pcrawl-common docs/changelog.txt
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chgrp games debian/crawl/usr/games/crawl
	chmod g+s debian/crawl/usr/games/crawl
	chgrp games debian/crawl-tiles/usr/games/crawl-tiles
	chmod g+s debian/crawl-tiles/usr/games/crawl-tiles
	chgrp -R games debian/crawl-common/var/games/crawl
	chmod -R g+ws debian/crawl-common/var/games/crawl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## crawl 0.7.1

=== source/rltiles/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 LDFLAGS += -lmingw32
 endif
 
-SDL_CFLAGS := $(shell pkg-config sdl --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
-SDL_LDFLAGS := $(shell pkg-config sdl --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")
+SDL_CFLAGS := $(shell sdl-config --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
+SDL_LDFLAGS := $(shell sdl-config --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")
 
 PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/include")
 PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/lib/libpng.a ../contrib/install/lib/libz.a")
@@ -29,12 +29,12 @@
 ifeq ($(LMACH),-)
 LMACH :=
 endif
-ifeq ($(shell which $(LMACH)gcc 2> /dev/null),)
+ifeq ($(shell which $(LMACH)gcc > /dev/null 2> /dev/null && echo "Yes"),)
 LMACH :=
 endif
 CXX = $(LMACH)g++
-ifdef ARCHS
-CF_ARCHS := $(patsubst %,-arch %,$(ARCHS))
+ifdef ARCH
+CF_ARCHS := $(patsubst %,-arch %,$(ARCH))
 CXX += $(CF_ARCHS)
 endif
 
@@ -43,7 +43,7 @@
 TOOLDIR := tool
 TILEGEN := $(TOOLDIR)/tilegen.elf
 
-INPUTS := main dngn player gui
+INPUTS := main dngn floor wall feat player gui
 INPUTFILES := $(INPUTS:%=dc-%.txt)
 HEADERS := $(INPUTS:%=tiledef-%.h)
 HTML := $(INPUTS:%=tile-%.html)

=== debian/changelog ===
crawl (2:0.7.1-3) unstable; urgency=low

  * Work around a g++-4.4 bug on powerpc by building with -O0 there.
  * Fix uninstallability on fresh installs.
  * Pick up upstream stable fixes up to 0.7.1-15-g73f6e1f (mostly crashes).

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 06 Aug 2010 02:29:30 +0200

crawl (2:0.7.1-2) unstable; urgency=low

  * Rebuild in a build environment without nvidia packages installed.
    Closes: #591661, #591663
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 05 Aug 2010 00:08:20 +0200

crawl (2:0.7.1-1) unstable; urgency=low

  * New upstream bugfix release. Closes: #590317

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 25 Jul 2010 00:30:47 +0200

crawl (2:0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Move the SAVEDIR to ~/.crawl, push the remnants of the shared dir one
    level up.  This fixes the security issues while still keeping scores and
    bones system wide.
    The database cache is currently wastefully in ~/.crawl/, but until the
    handling of read-only db is improved, that's better than letting the
    first player to run Crawl after an upgrade mess everyone up.
  * Pick a couple of fresh 0.7 fixes.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 24 Jul 2010 10:44:20 +0200

crawl (2:0.6.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 09 Jun 2010 15:07:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
 DM-Upload-Allowed: yes
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
 	libfreetype6-dev

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,15 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
+CFOPTIMIZE = -O2
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+	CFOPTIMIZE = -O0
+endif
+ifeq ($(DEB_HOST_ARCH),powerpc)
+	# g++-4.4 has an ICE there.
+	CFOPTIMIZE = -O0
 endif
 
 tree-stamp:
@@ -17,8 +26,8 @@
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr
-ARGS_TILES   = prefix=/usr TILES=y GAME=crawl-tiles \
+ARGS_CONSOLE = prefix=/usr SAVEDIR='~/.crawl' SHAREDDIR=/var/games/crawl CFOPTIMIZE=$(CFOPTIMIZE)
+ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf

## crawl 0.8.0

=== debian/changelog ===
crawl (2:0.8.0-1) unstable; urgency=low

  * New upstream release. Closes: #618850
  * Use debian/watch file from Vincent Cheng.
  * Don't move in-game documentation to /usr/share/doc/crawl-common.
    Closes: #597724
  * Bump Standards-Version.
  * Use hardlinks to create the build-console and build-tiles directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:04:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Guus Sliepen <guus@debian.org>
 Uploaders: Trent W. Buck <trentbuck@gmail.com>, Adam Borowski <kilobyte@angband.pl>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
 	libfreetype6-dev

=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,11 @@
 
 tree-stamp:
 	dh_testdir
-	rm -rf build-console
-	mkdir -p build-console/source/rltiles
-	tar cf - docs settings source --exclude contrib --exclude rltiles|tar xf - -C build-console
-	cp -p source/rltiles/dc-player.txt build-console/source/rltiles/
-	rm -rf build-tiles
-	mkdir -p build-tiles
-	tar cf - docs settings source --exclude contrib|tar xf - -C build-tiles
+	mkdir build-console
+	cp -ldpR docs settings source build-console/
+	rm -rf build-console/rltiles/*
+	mkdir build-tiles
+	cp -ldpR docs settings source build-tiles/
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
@@ -58,10 +56,10 @@
 	dh_installdirs
 
 	cd build-console/source && $(MAKE) $(ARGS_CONSOLE) install DESTDIR=../../debian/crawl-common
-	cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
-		mv crawl/docs/* doc/crawl-common && \
-		mv doc/crawl-common/crawl_manual.txt crawl/docs
-	rm -rf debian/crawl-common/usr/share/doc/crawl-common/license
+	#cd debian/crawl-common/usr/share && mkdir -p doc/crawl-common && \
+	#	mv crawl/docs/* doc/crawl-common && \
+	#	mv doc/crawl-common/crawl_manual.txt crawl/docs
+	rm -rf debian/crawl-common/usr/share/crawl/docs/license
 	mkdir -p debian/crawl/usr/
 	mv debian/crawl-common/usr/games debian/crawl/usr/games
 	cd build-tiles/source && $(MAKE) $(ARGS_TILES) install DESTDIR=../../debian/crawl-tiles
@@ -77,7 +75,7 @@
 	cp debian/crawl-common.overrides debian/crawl-common/usr/share/lintian/overrides/crawl-common
 	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
 	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
-	ln -sf /usr/share/crawl-common/docs/crawl_manual.txt debian/crawl-common/usr/share/doc/crawl-common/
+	ln -sf /usr/share/crawl/docs/*.txt debian/crawl-common/usr/share/doc/crawl-common/
 
 	mkdir -p debian/crawl/usr/share/doc
 	ln -sf crawl-common debian/crawl/usr/share/doc/crawl
@@ -96,12 +94,12 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -pcrawl-common
+	dh_installdocs -pcrawl-common -Xcrawl_manual.txt -Xaptitudes.txt -Xquickstart.txt -Xmacros_guide.txt -Xoptions_guide.txt -Xtiles_help.txt
 	dh_installchangelogs -pcrawl-common docs/changelog.txt
 	dh_installmenu
 	dh_link
 	dh_strip
-	dh_compress
+	dh_compress -Xaptitudes.txt
 	dh_fixperms
 	chgrp games debian/crawl/usr/games/crawl
 	chmod g+s debian/crawl/usr/games/crawl

=== debian/watch ===
version=3
opts=uversionmangle=s/\-nodeps// \
http://sf.net/crawl-ref/stone_soup-(.+)\.t(?:ar.)?(?:gz|bz2)

## crawl 0.8.1

=== source/rltiles/Makefile ===
--- 
+++ 
@@ -4,11 +4,21 @@
 LDFLAGS += -lmingw32
 endif
 
+ifndef CONTRIB_SDL
 SDL_CFLAGS := $(shell sdl-config --cflags 2> /dev/null || echo "-I../contrib/install/include/SDL")
 SDL_LDFLAGS := $(shell sdl-config --libs 2> /dev/null && echo "-lSDL_image" || echo "../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a")
+else
+SDL_CFLAGS := -I../contrib/install/include/SDL
+SDL_LDFLAGS := ../contrib/install/lib/libSDL.a ../contrib/install/lib/libSDLmain.a ../contrib/install/lib/libSDL_image.a
+endif
 
+ifndef NO_PKGCONFIG
 PNG_INCLUDE := $(shell pkg-config libpng --cflags 2> /dev/null || echo "-I../contrib/install/include")
 PNG_LIB := $(shell pkg-config libpng --libs 2> /dev/null || echo "../contrib/install/lib/libpng.a ../contrib/install/lib/libz.a")
+else
+PNG_INCLUDE := -I../contrib/install/include
+PNG_LIB := ../contrib/install/lib/libpng.a ../contrib/install/lib/libz.a
+endif
 
 CFLAGS := -O2 $(SDL_CFLAGS) $(PNG_INCLUDE)
 LDFLAGS += $(SDL_LDFLAGS) $(PNG_LIB)
@@ -43,7 +53,7 @@
 TOOLDIR := tool
 TILEGEN := $(TOOLDIR)/tilegen.elf
 
-INPUTS := main dngn floor wall feat player gui
+INPUTS := main dngn floor wall feat player gui icons
 INPUTFILES := $(INPUTS:%=dc-%.txt)
 HEADERS := $(INPUTS:%=tiledef-%.h)
 HTML := $(INPUTS:%=tile-%.html)

=== debian/changelog ===
crawl (2:0.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Restore the workaround for g++-4.4 bug on powerpc, backports need it.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 14 Jun 2011 22:50:57 +0200

crawl (2:0.8.0-2) unstable; urgency=low

  [Guus Sliepen]

  * Merge Adam Borowski's work. Closes: #627600

  [Adam Borowski]

  * Drop any setgidness (no longer supported).
  * Build-depend on advancecomp to reduce package size.
  * Enable wizard mode, no setgid = no trouble.  Closes: #598484
  * Relicensed to GPL2+.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 May 2011 16:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libncursesw5-dev, bison, flex, liblua5.1-0-dev,
 	pkg-config, libsdl-image1.2-dev, libsdl1.2-dev, libsqlite3-dev,
-	libfreetype6-dev
+	libfreetype6-dev, advancecomp
 Homepage: http://crawl.develz.org/
 
 Package: crawl-common

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,11 @@
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFOPTIMIZE = -O0
 endif
-ifeq ($(DEB_HOST_ARCH),powerpc)
+ifneq (,$(shell gcc --version|grep 'gcc (.*) 4\.4\.'))
+  ifeq ($(DEB_HOST_ARCH),powerpc)
 	# g++-4.4 has an ICE there.
 	CFOPTIMIZE = -O0
+  endif
 endif
 
 tree-stamp:
@@ -24,7 +26,7 @@
 	touch tree-stamp
 
 # The makefile is unorthodox, requiring all options to be specified on every invocation.
-ARGS_CONSOLE = prefix=/usr SAVEDIR='~/.crawl' SHAREDDIR=/var/games/crawl CFOPTIMIZE=$(CFOPTIMIZE)
+ARGS_CONSOLE = prefix=/usr CFOPTIMIZE=$(CFOPTIMIZE) WIZARD=y
 ARGS_TILES   = $(ARGS_CONSOLE) TILES=y GAME=crawl-tiles \
 	PROPORTIONAL_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
 	MONOSPACED_FONT=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSansMono.ttf
@@ -71,8 +73,6 @@
 	cp docs/crawl.6 debian/crawl/usr/share/man/man6/
 	mkdir -p debian/crawl-tiles/usr/share/man/man6
 	cp docs/crawl.6 debian/crawl-tiles/usr/share/man/man6/crawl-tiles.6
-	mkdir -p debian/crawl-common/usr/share/lintian/overrides
-	cp debian/crawl-common.overrides debian/crawl-common/usr/share/lintian/overrides/crawl-common
 	mkdir -p debian/crawl-common/usr/share/doc/crawl-common/examples
 	cp settings/init.txt debian/crawl-common/usr/share/doc/crawl-common/examples/crawlrc
 	ln -sf /usr/share/crawl/docs/*.txt debian/crawl-common/usr/share/doc/crawl-common/
@@ -101,12 +101,6 @@
 	dh_strip
 	dh_compress -Xaptitudes.txt
 	dh_fixperms
-	chgrp games debian/crawl/usr/games/crawl
-	chmod g+s debian/crawl/usr/games/crawl
-	chgrp games debian/crawl-tiles/usr/games/crawl-tiles
-	chmod g+s debian/crawl-tiles/usr/games/crawl-tiles
-	chgrp -R games debian/crawl-common/var/games/crawl
-	chmod -R g+ws debian/crawl-common/var/games/crawl
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
